petsc-3.4.2 2013-07-02

# PetscCheckPointer

Returns PETSC_TRUE if a pointer points to accessible data

### Synopsis

    PetscBool PetscCheckPointer(const void *ptr,PetscDataType dtype)

Not Collective

### Input Parameters

| ptr | - the pointer
| dtype | - the type of data the pointer is suppose to point to

Level:developer
Location:src/sys/error/checkptr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages